OmniPayDocs
API referenceWithdrawals

Create a withdrawal

POST
/v1/withdraws

Creates a payout request. Mobile-wallet amounts must be between BDT 100 and 25,000; bank payouts must be between BDT 50,000 and 300,000. The merchant_id must be unique within your organization.

Authorization

bearerAuth
AuthorizationBearer <token>

API key created in the OmniPay developer dashboard.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Create a mobile-wallet or bank payout.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/withdraws" \  -H "Content-Type: application/json" \  -d '{    "amount": "1000",    "phone": "01341491353",    "payment_method": "bkash",    "merchant_id": "payout-123",    "metadata": {      "invoice_id": "INV-900"    }  }'
{  "id": "string",  "phone": "string",  "payment_method": "bkash",  "amount": "string",  "status": "processing",  "metadata": {},  "merchant_id": "string"}